<?php

/**
 * Replies Loop
 *
 * @package bbPress
 * @subpackage Theme
 */

$bbp_favorite_link_args = array(
	'before' 	=> ' | <svg class="ui-icon heart"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#heart"></use></svg>',
);

$bbp_subscription_link_args = array(
	'before'    => '<svg class="ui-icon share"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#share"></use></svg>',
);
?>

<?php do_action( 'bbp_template_before_replies_loop' ); ?>

<ul id="topic-<?php bbp_topic_id(); ?>-replies" class="forums bbp-replies no-bullet">
	<li class="bbp-header row align-right text-right">

		<div class="bbp-reply-content column">

			<?php if ( ! bbp_show_lead_topic() ) : ?>
				<div class="bbp-subscribe-favorite">

					<?php bbp_topic_subscription_link( $bbp_subscription_link_args ); ?>
					<?php bbp_user_favorites_link( $bbp_favorite_link_args ); ?>

				</div><!-- .bbp-subscribe-favorite -->

			<?php else : ?>

				<?php _e( 'Replies', 'bbpress' ); ?>

			<?php endif; ?>

		</div><!-- .bbp-reply-content -->

	</li><!-- .bbp-header -->

	<li class="bbp-body">

		<?php if ( bbp_thread_replies() ) : ?>

			<?php bbp_list_replies(); ?>

		<?php else : ?>

			<?php while ( bbp_replies() ) : bbp_the_reply(); ?>

				<?php bbp_get_template_part( 'loop', 'single-reply' ); ?>

			<?php endwhile; ?>

		<?php endif; ?>

	</li><!-- .bbp-body -->

	<li class="bbp-footer">

		<div class="bbp-reply-content">
			<?php if ( bbp_show_lead_topic() ) : ?>


				<?php _e( 'Replies', 'bbpress' ); ?>

			<?php endif; ?>

		</div><!-- .bbp-reply-content -->

	</li><!-- .bbp-footer -->

</ul><!-- #topic-<?php bbp_topic_id(); ?>-replies -->

<?php do_action( 'bbp_template_after_replies_loop' ); ?>
