<?php

/**
 * User Details
 *
 * @package bbPress
 * @subpackage Theme
 */

?>

	<?php do_action( 'bbp_template_before_user_details' ); ?>

	<div id="bbp-single-user-details" class="row align-middle align-center">
		<div id="bbp-user-avatar" class="<?php echo ( ! bbp_is_single_user_edit() ) ? esc_attr( 'small-4 shrink' ) : esc_attr( 'small-12' ); ?> column">

			<span class='vcard'>
				<a class="url fn n" href="<?php bbp_user_profile_url(); ?>" title="<?php bbp_displayed_user_field( 'display_name' ); ?>" rel="me">
					<?php echo get_avatar( bbp_get_displayed_user_field( 'user_email', 'raw' ), apply_filters( 'bbp_single_user_details_avatar_size', 150 ) ); ?>
				</a>
			</span>

			<ul class="profile-url-list no-bullet text-center">
				<li class="<?php if ( bbp_is_single_user_profile() ) :?>current<?php endif; ?>">
					<span class="vcard bbp-user-profile-link show-for-sr">
						<a class="url fn n" href="<?php bbp_user_profile_url(); ?>" title="<?php printf( esc_attr__( "%s's Profile", 'bbpress' ), esc_html( bbp_get_displayed_user_field( 'display_name' ) ) ); ?>" rel="me"><?php _e( 'Profile', 'bbpress' ); ?></a>
					</span>
					<?php if ( ! bbp_is_single_user_edit() ) : ?>
					<small class="bbp-user-edit-link">
						<a href="<?php bbp_user_profile_edit_url(); ?>" title="<?php printf( esc_attr__( "Edit %s's Profile", 'bbpress' ), esc_html( bbp_get_displayed_user_field( 'display_name' ) ) ); ?>"><?php _e( esc_html( 'Edit', 'bbpress' ) ); ?></a>
					</small>
					<?php endif; ?>
				</li>
			</ul>

		</div><!-- #author-avatar -->

	</div><!-- #bbp-single-user-details -->

	<?php do_action( 'bbp_template_after_user_details' ); ?>
