jQuery(document).foundation();

// Top nav init and attributes
var fixTopNavOptions = {
	marginTop: 0,
	stickyOn: 'small'
};

const mobileNavArgs = {
	submenuToggle: true,
}

var topNavigation = new Foundation.DropdownMenu( jQuery( '#primary-menu' ) );
var mobileNavigation = new Foundation.AccordionMenu( jQuery('#mobile-navigation'), mobileNavArgs );

const courseAccordion = function() {

	const accordion = jQuery( '#course-content-listings' );

	if ( ! accordion ) {
		return;
	}

	const courseAccorionOptions = {
		'multiExpand' : true,
		'allowAllClosed': true,
		'slideSpeed': 100
	};

	new Foundation.Accordion( accordion, courseAccorionOptions );

};

courseAccordion();

var fixTopNav = new Foundation.Sticky( jQuery( '#topnav' ), fixTopNavOptions );

// Add sticky to .mark-as-complete
if ( jQuery( 'body' ).hasClass( 'single-section' ) ) {

  //mark as complete wraper = macw
	var macw = jQuery( '.mark-as-complete-wrapper-inside' );

	macw.each( function ( index, value ) {

	    var macwParent = jQuery( this ).parents('.so-panel').attr( 'id' );

	    var fixMacwOptions  = {
			marginTop: 3.75,
			marginBottom: 0,
			stickyOn: 'small',
			anchor: macwParent,
		};

	    var fixSideNav = new Foundation.Sticky( jQuery( this ), fixMacwOptions);

	});

};

jQuery( document ).ready(function( $ ) {

	var debounce,
			wpPageTitleElement,
			wpGetPageTitle,
			openNotesFullScreenComponentTitleUtility,
			getBannerImgHeight,
			responsiveBannerImgHeight,
			spacesLandingTemplateTitleHeight,
			spacesLandingTemplateTitlePosition,
			spacesLandingTemplateTitlePositionDebounce,
			wpBbpThreadReplies;

	/**
	 * Tiny jQuery Plugin - if element exists by Chris Goodchild
	 */

	$.fn.exists = function( callback ) {
		var args = [].slice.call( arguments, 1 );
		if ( this.length ) {
			callback.call(this, args);
		}
			return this;
	};
	// setup exists()

	/**
	 * Returns a function, that, as long as it continues to be invoked, will not
	 * be triggered. The function will be called after it stops being called for
	 * N milliseconds. If `immediate` is passed, trigger the function on the
	 * leading edge, instead of the trailing.
	 */

	debounce = function( func, wait, immediate ) {

		var timeout;

		return function() {

			var context = this, args = arguments;

			var later = function() {

				timeout = null;
				if (!immediate) func.apply( context, args );

			};

			var callNow = immediate && !timeout;
			clearTimeout( timeout );
			timeout = setTimeout( later, wait );
			if ( callNow ) func.apply( context, args );

		};

	};

	/**
	 * A simple get the page title element function wpPageTitleElement()
	 * return string
	 */

	wpPageTitleElement = function() {

		var entryTitle = document.getElementsByClassName('entry-title')[0];

			return entryTitle;

	};

	/**
	 * A simple get the page title function getPageTitle()
	 * return string
	 */

	wpGetPageTitle = function() {

		var entryTitle = wpPageTitleElement();

		if ( ! entryTitle ) {

				return;

		} else {

			return entryTitle.textContent;

		}

	};
	// end wpGetPageTitle()

	/**
	 * Creates the ability to open the notes tab to full page
	 * frome the components title utility bar
	 * openNotesFullScreenComponentTitleUtility()
	 */

	openNotesFullScreenComponentTitleUtility = function() {

		var tabContentToOpen = '#notes-tab';

		$( '.open-notes-buttons > svg' ).on('click', function() {

			var offCanvasElm = $( '#secondary' ),
					tinyMceElm = tinymce.get('ubc_user_notes_content'),
					textEditor = $( '#ubc_user_notes_content' ),
					screenSize = Foundation.MediaQuery.current,
					tabElm		 = $( '.tabs' ),
					myitem 		 = $( '.mce-i-fullscreen' ).get(0),
					thisbutton = $( myitem ).parent('button').get(0);

			$( thisbutton ).click();
			$( tabElm ).foundation( 'selectTab', tabContentToOpen );
			$( tinyMceElm ).focus();

			//only open the sidebar if we are on the right screen size var screenSize
			if ( screenSize == 'small' || screenSize == 'medium' ) {

				$( offCanvasElm ).foundation('open', event, offCanvasElm);

			}

		});

	};
	// end openNotesFullScreenComponentTitleUtility()

	/**
	* Get home page banner img height
	*
	* return string
	*/

	getBannerImgHeight = function() {

		$( '.home .site-banner, .full-width-page .site-banner' ).exists( function() {

			var height 					 = $('#img-responsive').height(),
					siteBannerHeight = $( '.site-banner' ).css( 'height', height );

			return siteBannerHeight;

		}); //exsits();

	}; //getBannerImgHeight()


	/**
	* Adjust the home banner image height
	*
	* return string or null
	*/

	responsiveBannerImgHeight = function() {

		var cssHeight = getBannerImgHeight;

		if ( ! cssHeight ) {

			return;

		} else {

			$( '#img-responsive' ).on( 'resizeme.zf.trigger', function() {

				if ( Foundation.MediaQuery.atLeast('small') ) {
				// call the function when image is resized.
					getBannerImgHeight();

				}

			}); // on();

		}

	};
	// end responsiveBannerImgHeight()

	/**
	* Get the height of the entry-title
	* for the full page template and retrun inline style
	*
	* return string or null
	*/

	spacesLandingTemplateTitleHeight = function() {

			var entryTitle  = wpPageTitleElement(),
					titleHeight = $( entryTitle ).outerHeight();

			return $( entryTitle ).css( 'top', -titleHeight );

	};
	// end spacesLandingTemplateTitleHeight()

	/**
	* Call the inline style for the entry title
	* in full page template and respond to height change if needed
	* with a debounce of 250ms
	*
	* return string
	*/

	spacesLandingTemplateTitlePosition = debounce( function() {

		return spacesLandingTemplateTitleHeight();

	}, 250 );
	// end spacesLandingTemplateTitlePosition()

	/**
	* Start Event Listner for the resize of
	* window to adjust the entry title height
	*
	* return null
	*/

	spacesLandingTemplateTitlePositionDebounce = function() {

		window.addEventListener( 'resize', spacesLandingTemplateTitlePosition );

	};
	// end spacesLandingTemplateTitlePositionDebounce()

	// to top right away
	if ( window.location.hash ) scroll(0,0);
	// void some browsers issue
	setTimeout( function() { scroll(0,0); }, 1);

	// This function removes the hash from the url without reloading the browser.
	function removeHash() {
	    var scrollV, scrollH, loc = window.location;
	    if ("pushState" in history)
	        history.pushState("", document.title, loc.pathname + loc.search);
	    else {
	        // Prevent scrolling by storing the page's current scroll offset
	        scrollV = document.body.scrollTop;
	        scrollH = document.body.scrollLeft;

	        loc.hash = "";

	        // Restore the scroll offset, should be flicker free
	        document.body.scrollTop = scrollV;
	        document.body.scrollLeft = scrollH;
	    }
	}

	// your current click function
	$('.scroll').on('click', function(e) {

			e.preventDefault();

			$('html, body').animate( {

					scrollTop: $($(this).attr('href')).offset().top - 61

			}, 1500, 'swing');

			removeHash();

	});

	// // *only* if we have anchor on the url
	// if ( window.location.hash ) {
	// 		// smooth scroll to the anchor id
	// 		$( 'html, body' ).animate({
	// 				scrollTop: $(window.location.hash).offset().top - 61
	// 		}, 1500, 'swing');
	//
	// 		removeHash();
	// }

	$( '.single-section .widget-area' ).hover(

		function(){ $( 'body' ).addClass( 'is-off-canvas-open' ); },
		function(){ $( 'body' ).removeClass( 'is-off-canvas-open' ); }

	);

	/**
	* Create toggle for bbp threaded replies
	*
	* return null
	*/

	wpBbpThreadReplies = function() {

		var seachHeaderArray = '.bbp-threaded-replies';

		$.each( $( seachHeaderArray ), function( index, value ) {

				$( this ).click(function(){

						$( this ).toggleClass('expanded');

				});

		});

	};
	//end wpBbpThreadReplies()

	getBannerImgHeight();
	responsiveBannerImgHeight();

	// if element exisits run my little, precious, functions
	$( '.open-notes-buttons' ).exists( openNotesFullScreenComponentTitleUtility );
	$( '.full-width-page' ).exists( spacesLandingTemplateTitleHeight );
	$( '.full-width-page' ).exists( spacesLandingTemplateTitlePositionDebounce );
	$( '.bbp-threaded-replies' ).exists( wpBbpThreadReplies );

});

(function ($) {

	const accordion 			= document.getElementById('course-content-listings'),
		accordionToggleButton 	= document.querySelector('.toggle-accordion'),
		sectionTitle 			= document.querySelector( '.course-section-title' );

	let courseListStorage = localStorage.getItem('courseListState');

	const ubcCloseAccordion = () => {

		if ( ! accordion ) {

			return;
		}

		const accordionItem = accordion.querySelectorAll('.accordion-content');
		accordionToggleButton.setAttribute('aria-pressed', 'false');
		accordionToggleButton.textContent = 'Expand all ' + sectionTitle.textContent + ' +';

		const close = $( accordionItem ).each(function () {

			$( accordion ).foundation('up', $( this ) );

		});

		return close;

	};
	// ubcCloseAccordion() //

	const ubcOpenAccordion = () => {

		if ( ! accordion ) {
			return;
		}

		const accordionItem = accordion.querySelectorAll('.accordion-content');
		accordionToggleButton.setAttribute('aria-pressed', 'true');
		accordionToggleButton.textContent = 'Collapse all ' + sectionTitle.textContent + ' -';

		const open = $( accordionItem ).each(function () {

			$( accordion ).foundation('down', $( this ) );

		});

		return open;

	};
	// ubcOpenAccordion() //

	const ubcAccordionButtonToggle = () => {

		if ( ! accordionToggleButton ) {

			return;
		}

		let ariaPressValue = accordionToggleButton.getAttribute( 'aria-pressed' );

		if ( ariaPressValue === 'true' ) {

			return ubcCloseAccordion();

		} else if ( ariaPressValue != 'true' ) {

			return ubcOpenAccordion();

		}

	};
	// ubcAccordionButtonToggle() //

	/**
	* if course accordion toggled open, change button state and open all accordions
	*
	*/
	const section_list_open_onload = () => {

		if ( courseListStorage != 'is-active' ) {

			return;

		}

		return ubcOpenAccordion();

	};

	/**
	* ubc_courses_list_accordion_toggle_browser_state() click accordion toggle button checks for if local storage value is set, if it is remove else set
	* Use indexedDB instead!!
	*
	*/
	const ubc_store_course_list_accordion_button_click = () => {
	
		if ( courseListStorage === 'is-active' ) {

			localStorage.removeItem('courseListState');

		}

		else  {

			localStorage.setItem('courseListState', 'is-active' );

		}

	};

	// ubc_store_course_list_accordion_button_click() //

	/**
	* addEventListner click for accordion toggle button
	*
	*/

	const ubc_courses_list_accordion_toggle_browser_state = function () {

		if ( !accordionToggleButton ) {

			return;
		}
		accordionToggleButton.addEventListener('click', ubcAccordionButtonToggle);
		accordionToggleButton.addEventListener('click', ubc_store_course_list_accordion_button_click);
		

	};

	ubc_courses_list_accordion_toggle_browser_state();
	section_list_open_onload();

})(jQuery);

function getQueryVariable(variable) {
	var query = window.location.search.substring(1);
	var vars = query.split("&");
	for (var i = 0; i < vars.length; i++) {
		var pair = vars[i].split("=");
		if (pair[0] == variable) { return pair[1]; }
	}
	return (false);
}

const urlParam = getQueryVariable('s');

console.log( urlParam );

function searchGetSeachItemsCount() {

	if ( ! urlParam ) {

		return;
	}

	const countHighlight = document.querySelectorAll( '.search-highlight' );

	return countHighlight.length;
}

function searchSearchItemsMessage() {

	const count = searchGetSeachItemsCount();

	if ( ! count ) {

		return;

	}

	const searchPage = document.querySelector( '.search-results' );

	if ( searchPage ) {

		return;

	}

	const container = document.querySelector( '.entry-header' );

	if ( !container ) {
		return;
	}

	const regExPat = /%20?/g;
	const regExUrl = urlParam.replace( regExPat, ' ' );
	const newDiv = document.createElement( 'div' );

	newDiv.className = 'search-count callout alert warning';
	container.parentElement.insertBefore( newDiv, container.nextSibling );

	const totalInstances = count < 100 ? count : 100 + '+';
	console.log(regExUrl);
	const countText = '<h4>This source contains <strong>' + totalInstances + '</strong> instances of your search: "<i class="search-highlight">' + regExUrl + '</i>".</h4>';

	newDiv.innerHTML = countText;

}

searchSearchItemsMessage();