<?php

// Enqueue Scripts and styles
add_action( 'wp_enqueue_scripts', 'load_ubc_wp_clf_lite_scripts', 9, 2 );
add_action( 'wp_enqueue_scripts', 'load_ubc_wp_clf_lite_styles', 10, 2 );

// add_action( 'ubc_press_student_dashboard_pre_header', 'enqueue_ubc_bbpress_styles' );

// denque Advanced Quiz Stylesheet
add_action( 'wp_print_styles', 'dequeue_plugins_styles', 10, 2 );
// Remove gravity forms Stylesheets
add_action( 'gform_enqueue_scripts', 'remove_all_gravity_form_styles', 10, 2 );

add_action( 'admin_enqueue_scripts', 'add_settings_frontpage_display_course_section' );

add_action('h5p_alter_library_styles', 'h5pmods_alter_styles', 10, 3);

// use bbpress css when shortcode is present
// add_filter( 'pre_do_shortcode_tag', 'pre_do_shortcode_tag__enqueue_bbpress_styles', 1, 4 );

// add_filter( 'style_loader_tag', 'add_no_script_tag_around_main_stylesheet', 10, 2 );

add_action('h5p_alter_filtered_parameters', 'h5pmods_alter_parameters', 10, 4);

function h5pmods_alter_parameters(&$parameters, $name, $majorVersion, $minorVersion) {
  if ($name === 'H5P.MultiChoice') {
    $parameters->question .= '<p>Generated at <strong>' . date('Y-m-d H:i:s') . '.</strong></p>';
  }
}

function registering_styles_and_scripts() {

	// register ubc font
	wp_register_style( 'whiteny-font', '//cloud.typography.com/6804272/781004/css/fonts.css', null, 1.0, 'screen' );
	// register main css
	wp_register_style( 'default-theme', get_stylesheet_directory_uri() . '/css/app.css', null, 1.0, 'all' );
	// register ie fallback styles
	wp_register_style( 'ie9-grid', get_stylesheet_directory_uri() . '/css/ie9-grid.css', 'null', '1.0', 'screen' );
	// register bbpress css
	wp_register_style( 'ubc-bbpress', get_stylesheet_directory_uri() . '/css/bbpress.css', 'null', '1.0', 'screen' );
	//register main js
	wp_register_script( 'foundation-default-js', get_stylesheet_directory_uri() . '/js/app.js', array( 'jquery' ), 1.0, true );
	// Register js fallback
	wp_register_script( 'ie9_below', get_stylesheet_directory_uri() . '/js/flexibility.js' );

}

/**
 * Registering and enqueing bbpress stylesheet for repeat use
 *
 * @since 1.0.0
 * @return null
 */

function enqueue_ubc_bbpress_styles() {

	registering_styles_and_scripts();

	wp_enqueue_style( 'ubc-bbpress' );

}/* enqueue_ubc_bbpress_styles() */

/**
 * Use bbpress styles when bbpress shorcodes are present
 *
 * @since 1.0.0
 * @return null
 */

function pre_do_shortcode_tag__enqueue_bbpress_styles( $return, $tag, $attr, $m ) {

	if ( 'bbp-single-forum' !== $tag && 'bbp-single-topic' !== $tag ) {
		return $return;
	}

	enqueue_ubc_bbpress_styles();

		return $return;

}/* pre_do_shortcode_tag__enqueue_bbpress_styles() */


	/**
	 * Registering and enqueing scripts
	 *
	 * @since 1.0.0
	 * @return null
	 */

function load_ubc_wp_clf_lite_scripts() {

	registering_styles_and_scripts();

	$GLOBALS['wp_scripts']->add_data( 'ie9_below', 'conditional', 'IE 9' );
	wp_enqueue_script( 'foundation-default-js' );
	wp_enqueue_script( 'ie9_below' );

}/* load_ubc_wp_clf_lite_styles_scripts() */

/**
 * Registering and enqueing styles
 *
 * @since 1.0.0
 * @return null
 */

function load_ubc_wp_clf_lite_styles() {

	registering_styles_and_scripts();

	if ( isset( $_COOKIE['fullCSS'] ) && 'true' === $_COOKIE['fullCSS'] ) :

		wp_enqueue_style( 'default-theme' );

	endif;

	// wp_enqueue_style( 'default-theme' );
	wp_enqueue_style( 'whiteny-font' );

	wp_style_add_data( 'ie9-grid', 'conditional', 'IE 9' );
	wp_enqueue_style( 'ie9-grid' );

	// wp_enqueue_style( 'default-theme' );

	// if ( is_bbpress() ) :
	//
	// 	enqueue_ubc_bbpress_styles();
	//
	// endif;

}

/**
* Add custom conditional to styles
*
* Add a noscript around our style.
*
* @param  string $tag    The tag we want to wrap around.
* @param  string $handle The handle of the tag.
* @return string         The wrapped around tag.
*/
function add_no_script_tag_around_main_stylesheet( $tag, $handle ) {

	registering_styles_and_scripts();

	if ( 'default-theme' === $handle  ) {

		$tag = '<noscript>' . $tag . '</noscript>';

	}

	return $tag;
}

/**
 * denque advanced quizes
 *
 * @since 1.0.0
 * @return null
 */

function dequeue_plugins_styles() {

	wp_dequeue_style( 'wpProQuiz_front_style' );
	wp_dequeue_style( 'bbp-default' );
	wp_dequeue_style( 'bbppu' );
	wp_dequeue_style( 'h5p-core-styles-h5p-css' );

}/** dequeue_plugins_styles() **/

/**
 * remove gravity form styles
 *
 * @since 1.0.0
 * @return null
 */

function remove_all_gravity_form_styles() {

	wp_dequeue_style( 'gforms_reset_css' );
	wp_dequeue_style( 'gforms_datepicker_css' );
	wp_dequeue_style( 'gforms_formsmain_css' );
	wp_dequeue_style( 'gforms_ready_class_css' );
	wp_dequeue_style( 'gforms_browsers_css' );

}/** remove_all_gravity_form_styles() **/

function add_settings_frontpage_display_course_section ( $hook ) {

	if ( 'options-reading.php' != $hook ) {
			return;
	}

	wp_enqueue_script( 'admin-js', get_stylesheet_directory_uri() . '/js/admin.js' );

}

function h5pmods_alter_styles(&$styles, $libraries, $embed_type) {

	$dir = get_stylesheet_directory_uri();

	$styles[] = (object) array(
		// Path can be relative to wp-content/uploads/h5p or absolute.
		'path' => $dir. '/css/h5p-theme-css.css',
		'version' => '?ver=1.3.7', // Cache buster
	);

	$styles[] = (object) array(
		// Path can be relative to wp-content/uploads/h5p or absolute.
		'path' => '//cloud.typography.com/6804272/781004/css/fonts.css',
		'version' => '?ver=1.3.7', // Cache buster
	);

}
