<?php
/**
 * Template for showing the course sites main menu
 *
 * @author David Brabbins
 * @since 0.1.9
 */

$start_path = trailingslashit( dirname( __FILE__ ) ) . '../template-parts';
$user_templ = 'content-main-menu-user.php';
$website_templ = 'content-main-menu-website.php';

$course_listing_link	= \UBC_CLF_Lite_Theme_Support::section_listing_link( 'button success course-button expanded' );
?>


<div class="off-canvas position-right sidebar" id="offCanvasRight1" data-off-canvas data-transition="overlap" data-content-scroll="true">

	<button class="close-button button secondary expanded" aria-label="Close menu" type="button" data-close>
		<span aria-hidden="true">&times; Close</span>
	</button>

	<section class="menus column-12">

		<header class="show-for-sr">
			<h2>Website navigation</h2>
		</header>

		<?php echo \UBC\Press\Utils::esc_svg_icon( $course_listing_link ); ?>
		<!-- course section listings link -->

		<?php \UBC\Helpers::locate_template_part_in_plugin( $start_path, $website_templ, true, false ); ?>
		<!-- website-menu -->
		<?php \UBC\Helpers::locate_template_part_in_plugin( $start_path, $user_templ, true, false ); ?>
		<!-- user-menu -->

		<?php if ( dynamic_sidebar( 'sidebar-2' ) ) : ?>
			<section class="sidebar secondary below-menu column-12 column">
				<header>
					<h2>Sidebar content</h2>
				</header>
				<?php dynamic_sidebar( 'sidebar-2' ); ?>
			</section>
			<!-- .sidebar 2 -->
		<?php endif; ?>
	</section>
</div>
<!-- .off-canvas -->
		
