<?php
/**
 * Template for section page listings
 * loadd by course_sidebar_sections_list_sections ()  functions.php
 *
 * @author David Brabbins
 * @since 1.0
 * @package WordPress
 */

?>

<li class="sub-section-item align-items-center <?php echo esc_attr( $item_settings['current_section_class'] ); ?> sub-section-<?php echo esc_attr( $item_settings['post_id'] ); ?>" data-post-id="<?php echo esc_attr( $item_settings['post_id'] ); ?>">
	<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute( array( 'before' => 'Read more on ', 'after' => '. Completable components? ' . wp_kses_post( $item_settings['comp_text_to_output'] ) ) ); ?>" class="sub-section-link row">
		<?php if ( is_user_logged_in() && ! empty( $item_settings['show_mark_complete_btn'] ) ) : ?>

			<span class="completed-components-details show-for-sr"><small>[<?php echo wp_kses_post( $item_settings['comp_text_to_output'] ); ?>]</small></span>

			<?php if ( $item_settings['num_total_components'] > 0 ) : ?>

			<div aria-hidden="true" class="progress <?php echo esc_attr( $item_settings['section_completed'] ); ?> <?php echo esc_attr( $item_settings['section_status'] ); ?>" role="progressbar" tabindex="0" aria-valuenow="<?php echo absint( $item_settings['num_percentage'] ); ?>" aria-valuemin="0" aria-valuetext="<?php echo absint( $item_settings['num_percentage'] ); ?> percent"  aria-valuemax="100">
				<div class="progress-meter" style="width: <?php echo absint( $item_settings['num_percentage'] ); ?>%">
				</div>
				<p class="progress-meter-text"><span class="show-for-sr"><?php echo absint( $item_settings['num_percentage'] ); ?>%</span> <svg class="ui-icon" aria-hidden="true"><use xlink:href="#checkmark-circle"></use></svg></p>
			</div>

			<?php elseif ( ! empty( $item_settings['single_component_icon'] ) ): ?>

			<span class="single-component-icon <?php echo esc_attr( $item_settings['single_component_icon'] ); ?>-icon progress completed" aria-hidden="true">
				<svg class="ui-icon <?php echo esc_attr( $item_settings['single_component_icon'] ); ?>"><use xlink:href="#<?php echo esc_attr( $item_settings['single_component_icon'] ); ?>"></use></svg>
			</span>

			<?php else : ?>

			<div aria-hidden="true" class="progress no-components" role="progressbar" tabindex="0" aria-valuenow="0" aria-valuemin="0" aria-valuetext="0 percent"  aria-valuemax="100">
				<p class="progress-meter-text"><span class="show-for-sr"><?php echo absint( $item_settings['num_percentage'] ); ?>%</span> <svg class="ui-icon" aria-hidden="true"><use xlink:href="#checkmark-circle"></use></svg></p>
			</div>

			<?php endif; ?>



		<?php endif; ?>
		<?php  the_title( '<h4 class="sub-section-title">', '</h4>' ) ?>
	</a>
</li>
<!-- .sub-section-item -->
